Freeze when loading form for feature with ValueRelation with multiple selection enabled

2017-11-22 05:36 PM - Matthias Kuhn

Status: Closed

Priority: Normal

Assignee:

Category: Forms

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25418

Description

Under some circumstances, QGIS freezes when a feature form is opened with a ValueRelation widget with multi selection enabled.

This was working properly with QGIS 2.14.

Associated revisions

Revision 59cf9f32 - 2017-11-22 05:50 PM - Matthias Kuhn 

Avoid recursion in ValueRelation widget

Fix #17521

Revision 09cffcd0 - 2017-11-23 02:04 PM - Matthias Kuhn 

Avoid recursion in ValueRelation widget

Fix #17521

History

#1 - 2017-11-23 08:08 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|59cf9f329c99a55e05d921bc9c90a1bac81ed3ea.

#2 - 2017-11-23 06:18 PM - Giovanni Manghi

- Resolution set to fixed/implemented
